## NAME

r.external.out - Defines raster output format utilizing GDAL library.

## KEYWORDS

raster, export, output, external

## SYNOPSIS

r.external.out
r.external.out --help
r.external.out [-frp] directory=path [extension=string] format=string [options=string[,string,...]] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-f
  List supported formats and exit
-r
  Cease using GDAL and revert to native output
-p
  Print current status
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

directory=path [required]
  Name of output directory
extension=string
  Extension for output files
format=string [required]
  Format of output files
  Options: VRT, GTiff, NITF, HFA, ELAS, AAIGrid, DTED, PNG, JPEG, MEM, GIF, XPM, BMP, PCIDSK, PCRaster, ILWIS, SGI, SRTMHGT, Leveller, Terragen, GMT, netCDF, HDF4Image, ISIS2, ERS, JP2OpenJPEG, FIT, RMF, WMS, RST, INGR, GSAG, GSBG, GS7BG, R, PNM, ENVI, EHdr, PAux, MFF, MFF2, BT, LAN, IDA, LCP, GTX, NTv2, CTable2, KRO, ARG, USGSDEM, ADRG, BLX, Rasterlite, PostGISRaster, SAGA, KMLSUPEROVERLAY, XYZ, HF2, PDF, ZMap
options=string[,string,...]
  Creation options

## DESCRIPTION

r.external.out instructs GRASS to write raster maps as data files (e.g. GeoTIFF) using GDAL.

## NOTES

A relative directory path (parameter directory) is interpreted relative to the current mapset directory, not the current directory where the command was launched. An unspecified or empty directory (which will occur if the user passes a simple filename for output) results in the output file being placed in the "gdal/" subdirectory of the current mapset directory.

## EXAMPLE

The module r.external.out can be used along with r.external to process external geodata in GRASS while writing out the results directly in GeoTIFF:

    # register GeoTIFF file in GRASS database:
    r.external terra_lst1km20030314.LST_Day.tif out=modis_celsius

    # define output directory for files resulting from GRASS calculation:
    r.external.out directory=$HOME/gisoutput/ format="GTiff"

    # perform GRASS calculation (here: extract pixels > 20 deg C)
    # write output directly as GeoTIFF:
    r.mapcalc "warm.tif = if(modis_celsius > 20, modis_celsius, null() )"

    # cease GDAL output connection and turn back to write GRASS raster files:
    r.external.out -r

    # use the result elsewhere
    qgis $HOME/gisoutput/warm.tif

## SEE ALSO

r.in.gdal, r.out.gdal, r.external

## REFERENCES

GDAL Pages: http://www.gdal.org/

## AUTHOR

Glynn Clements

Last changed: $Date: 2014-05-29 06:23:58 +0200 (čt, 29 5 2014) $

Main index | Raster index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual